const DB = require('../database/DB');

class Operador {

  GET_USER_BY_CREDENTIALS = `
    SELECT
      CDOPERADOR,
      NMOPERADOR,
      IDOPERACESSO,
      IDOPERATIVO,
      NRORG
    FROM
      OPERADOR
    WHERE
      DSEMAILOPER    = :EMAIL AND
      CDSENHAOPERWEB = :PASSWORD
  `;

  getUserByCredentials(params) {
    return DB.fetch(this.GET_USER_BY_CREDENTIALS, params);
  }
}

module.exports = new Operador();