const UpdaterConfigHist = require("../model/UpdaterConfigHist");
const UpdaterConfigHistCx = require("../model/UpdaterConfigHistCx");

class UpdaterConfigs {
  getModelByParams(params) {
    return (params.CDCAIXA || params.P_CDCAIXA) ? UpdaterConfigHistCx : UpdaterConfigHist;
  }

  insert(params, executionParams = {}) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }

  getConfigHist(params) {
    const model = this.getModelByParams(params);
    return model.getConfigHist(params);
  }
}

module.exports = new UpdaterConfigs();