class OracleConfig {
  getConnectionParams() {
    const dbName = process.argv[2] || '';
    const {
      DB_USER: user,
      DB_PASSWORD: password,
      DB_CONN_STR: connectString
     } = process.env;

     if(["EXTERNO", "DEV", "EXTERNAL"].includes(dbName)) {
      return { user, password, connectString };
     }
     return { externalAuth: true, connectString: dbName};
  }

}

module.exports = new OracleConfig();