const DB = require('../database/DB');

class AccessProfile {
  constructor() {
    this.GET_ACCESS_PROFILE = `
      SELECT
        MAX(DECODE(GP.IDPARAMETROS,   'N', 'N', 'S')) AS IDPARAMETROS,
        MAX(DECODE(GP.IDGESTAOSISTEM, 'N', 'N', 'S')) AS IDGESTAOSISTEM,
        MAX(DECODE(GP.IDCONFIGVERSAO, 'N', 'N', 'S')) AS IDCONFIGVERSAO,
        MAX(DECODE(GP.IDGERENSERVI,   'N', 'N', 'S')) AS IDGERENSERVI
      FROM
        GRUPOPER   GP
        LEFT JOIN OPERGRUPOP OPGR
            ON GP.CDGRUPOPER = OPGR.CDGRUPOPER
      WHERE
        OPGR.CDOPERADOR = :CDOPERADOR
    `;
  }

  getAccessProfile(params) {
    return DB.fetch(this.GET_ACCESS_PROFILE, params);
  }
}

module.exports = new AccessProfile();
