const UpdaterProdFili = require('../model/UpdaterProdFili');
const UpdaterProdFiliCx = require('../model/UpdaterProdFiliCx');

class UpdaterUnitProduct {
  getModelByParams(params) {
    return params.CDCAIXA || params.P_CDCAIXA ? UpdaterProdFiliCx : UpdaterProdFili;
  }
  insert(params, executionParams) {
    const model = this.getModelByParams(params);
    return model.insert(params, executionParams);
  }
  update(params, executionParams) {
    const model = this.getModelByParams(params);
    return model.update(params, executionParams);
  }
  getVersion(params) {
    const model = this.getModelByParams(params);
    return model.getVersion(params);
  }
  getInstalledProducts(params) {
    const model = this.getModelByParams(params);
    return model.getInstalledProducts(params);
  }

  getUpdaterProductsSysManagement(params) {
    const model = this.getModelByParams(params);
    return model.getUpdaterProductsSysManagement(params);
  }
}

module.exports = new UpdaterUnitProduct();