const Updater = require('../socket/events/Updater');

const route = (router) => {
  router.get('/installer/unitConnectionStatus', async (req, res) => {
    if(!req.body || !req.body.CDFILIAL) return res.status(400).json({ERROR: "Invalid Params"});
    const {CDFILIAL, CDCAIXA = null} = req.body;
    const CONNECTED = await Updater.hasUnitUpdaterConnected(CDFILIAL, CDCAIXA);
    res.status(200).json({ CONNECTED });
  });
}

module.exports = route;