const dbConnectionModel = require('../model/dbConnectionModel');

class DbConnectionTest {
  async executeTest() {
    return dbConnectionModel.testDbConnection().then(response => {
      let [ row ] = response.rows;
      return {
        error: false,
        message: row.DATA,
      }
    }).catch(err => {
      return {
        error: true,
        message: err.message,
      }
    });
  }
}

module.exports = new DbConnectionTest();